<?php

namespace common\logic\Producer\Producer;

use common\logic\BaseService;
use common\logic\FactoryInterface;

class ProducerFactory extends BaseService implements FactoryInterface
{
    public function create()
    {
        $producer = new ProducerModel();

        $producer->order_deadline = ProducerModel::ORDER_DEADLINE_DEFAULT;
        $producer->order_delay = ProducerModel::ORDER_DELAY_DEFAULT;

        return $producer;
    }
}